%bcond_without tests
%global srcname lexicon

Name:		python-lexicon
Version:	2.0.1
Release:    1%{?dist}
Summary:	Powerful dict subclass(es) with aliasing and attribute access
License:	BSD-2-Clause
URL:		https://github.com/bitprophet/lexicon
Source0:	https://github.com/bitprophet/lexicon/archive/%{version}/lexicon-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%if %{with tests}
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-relaxed
%endif

%description
Lexicon is a simple collection of dict sub-classes providing extra power.

%package -n python3-lexicon
Summary:	Powerful dict subclass(es) with aliasing and attribute access

%description -n python3-lexicon
Lexicon is a simple collection of dict sub-classes providing extra power.

%prep
%setup -q -n lexicon-%{version}

%build
%py3_build

%install
%py3_install

%if %{with tests}
%check
%pytest
%endif

%files -n python3-lexicon
%license LICENSE
%doc docs/changelog.rst README.rst
%{python3_sitelib}/lexicon/
%{python3_sitelib}/lexicon-%{version}-*.egg-info/

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.1-1
- initial build
